Name: kwintv
Summary: A KDE utility for watching TV on your PC.
Version: 0.8.5
Release: 5
Epoch: 1
Source: ftp://download.sourceforge.net/pub/sourceforge/kwintv-%{version}.tar.gz
Source2: kv4lsetup.pam
Source3: kwintv_16x16.png
Patch1: kwintv-noroot.patch
Patch2: kwintv-0.8.4-gcc296.patch
Patch3: kwintv-0.8.5-config.patch
Patch4: kwintv-0.8.5-dev.patch
Patch5: kwintv-0.8.5-broken.patch
License: GPL
URL: http://www.mathematik.uni-kl.de/~wenk/kwintv/
Group: Applications/Multimedia
Exclusivearch: i386 i486 i586 i686
Buildroot: %{_tmppath}/%{name}-buildroot
Prereq: /usr/sbin/chkfontpath
Prefix: %{_prefix}
BuildPrereq: kdelibs-devel
Requires: MAKEDEV >= 2.5, XFree86 >= 4.0, kdelibs, /usr/bin/consolehelper

%description
KWinTV is a TV application for the K Desktop Environment (KDE).
KWinTV is based on the video4linux interface.  KWinTV allows you to
watch TV in a window on your PC screen, using a TV card supported by a
video4linux based driver.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch1 -p1 -b .noroot
%patch2 -p1 -b .gcc296
%patch3 -p1 -b .config
%patch4 -p1 -b .dev
%patch5 -p1 -b .broken

%build
QTDIR="" && source /etc/profile.d/qt.sh
export KDEDIR=%{prefix} MOC=$QTDIR/bin/moc

CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
  --with-kde-version=2 \
  --with-install-root=$RPM_BUILD_ROOT \
  --enable-vtx \
  --disable-rpath 

find -name "*.moc" | xargs rm -f
cp %{SOURCE3} kwintv/icons
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" SUID_ROOT="" install-strip

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps

install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/kv4lsetup
touch $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/kv4lsetup
mv $RPM_BUILD_ROOT%{_bindir}/kv4lsetup $RPM_BUILD_ROOT%{_sbindir}


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/default/kwintv
if [ ! -c /dev/video0 -a `id -u` = 0 ]; then
  cd /dev && ./MAKEDEV video
fi

pushd %{_bindir}
    ln -sf consolehelper kv4lsetup
popd

%preun
rm %{_bindir}/kv4lsetup

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/share/fonts/default/kwintv
fi

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL VERSION
%config(noreplace) %{_sysconfdir}/pam.d/kv4lsetup
%config(noreplace) %{_sysconfdir}/security/console.apps/kv4lsetup
%attr(755,root,root) %{prefix}/bin/kwintv
%attr(755,root,root) %{_sbindir}/kv4lsetup
%{prefix}/share/doc/HTML/en/kwintv
%{prefix}/share/apps/kwintv/*
%{prefix}/share/icons/hicolor/*/apps/*
%{prefix}/share/applnk/Multimedia/kwintv.kdelnk
%{prefix}/share/fonts/default/kwintv

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Sat Feb 24 2001 Than Ngo <than@redhat.com>
- add missing docs and toolbar icons
- enable VideoText/TeleText
- clean up some broken codes
- add BuildPrereq: kdelibs-devel

* Thu Feb 15 2001 Than Ngo <than@redhat.com>
- fix for using /dev/video0 (Bug #27639)

* Tue Feb  6 2001 Tim Powers <timp@redhat.com>
- use consolehelper for kv4lsetup so the app isn't crippled for users
  without root privies, and also so that we don't have to ship a suid
  root app to "decripple" it.

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- updated to 0.8.5
- fixed prereq section
- uses /dev/video0 instead /dev/video (Bug #25497)

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Than Ngo <than@redhat.com>
- update to 0.8.4
- build with KDE2
- update ftp site

* Sat Jul 29 2000 Than Ngo <than@redhat.de>
- use any XFree86 Extensions except DGA

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++


* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++
- clean up specfile

* Fri Jun 02 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- fix kwintv to build as no root (thanks Matt, Bill)
- fix DGA to build with XFree86-4.0
- use rpm macros

* Fri Jun 02 2000 Than Ngo <than@redhat.de>
- fix suid

* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- upgrade to 0.7.5 for powertools 6.2

* Mon Sep 21 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 0.7.4 for powertools 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- create v4l devices in post if they are not already present

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0

